/*
 * Segment 2 (KEx), SWE LMS-TIC3
 * Copyright (C) 2016 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.lmstic3.empfang.dekoder;

import java.util.ArrayList;
import java.util.Collection;

import de.bsvrz.kex.lmstic3.vew.daten.tic.TIC3MeldungsDaten;

/**
 * Ergebnis Einlesen der TIC3-Datei.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: $
 */
public class TIC3InfoDateiDaten {

	private Collection<TIC3MeldungsDaten> meldungen = new ArrayList<>();

	private TIC3InfoDateiException exeption;

	/**
	 * Gibt die in der Datei enthaltenen Meldungen zur&uuml;ck.
	 * 
	 * @return {@link TIC3MeldungsDaten}
	 */
	public Collection<TIC3MeldungsDaten> getMeldungen() {
		return meldungen;
	}

	/**
	 * F&uuml;gt Meldungsdaten hinzu.
	 * 
	 * @param meldung
	 *            {@link TIC3MeldungsDaten}
	 */
	public void addMeldung(final TIC3MeldungsDaten meldung) {
		meldungen.add(meldung);
	}

	/**
	 * Gibt die erste aufgetretene Ausnahme zur&uuml;ck.
	 * 
	 * @return {@link TIC3InfoDateiException}
	 */
	public TIC3InfoDateiException getExeption() {
		return exeption;
	}

	/**
	 * Setzt aufgetretene Ausnahme.
	 * 
	 * @param exeption
	 *            {@link TIC3InfoDateiException}
	 */
	public void setExeption(final TIC3InfoDateiException exeption) {
		this.exeption = exeption;
	}

}
