/*
 * Segment 2 (KEx), SWE LMS-TIC3
 * Copyright (C) 2016 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */


package de.bsvrz.kex.lmstic3.vew;

import java.util.List;

import de.bsvrz.kex.lmstic3.vew.daten.ExterneMeldung;

/**
 * Listener als Schnittstelle zwischen den Modulen Meldungserzeugung und Meldungsdekodierer.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: LMSMeldungenListener.java 63650 2016-09-22 17:11:32Z gieseler $  
 */
public interface LMSMeldungenListener {

	/**
	 * Diese Methode wird aufgerufen, wenn neu empfangene Meldungsdaten von der LMS
	 * zur Verf&uuml;gung stehen.
	 *
	 * @param meldungen
	 *            Liste mit neuen Meldungen
	 */
	void empfangen(List<ExterneMeldung> meldungen);
}
