/*
 * Segment 2 (KEx),  SWE 2.1 LMS
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Wei�enfelser Stra�e 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.lmstic3.vew;

import de.bsvrz.dav.daf.main.ClientDavConnection;
import de.bsvrz.dav.daf.main.ClientDavParameters;
import de.bsvrz.sys.funclib.commandLineArgs.ArgumentList;
import de.bsvrz.sys.funclib.debug.Debug;

/**
 * Datenverteiler-Verbindung f&uuml;r die JUnit-Tests.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 */
public class TestDav {

	/**
	 * Datenverteiler-Verbindung.
	 */
	private ClientDavConnection dav;

	/**
	 * Gibt die Datenverteiler-Verbindung zur&uuml;ck.
	 *
	 * @return Datenverteiler-Verbindung
	 */
	public ClientDavConnection getDav() {
		return dav;
	}

	/**
	 * Initialisiert die Datenverteiler-Verbindung.
	 *
	 * @return true, wenn die Verbindung initialisiert werden konnte, sonst
	 *         false
	 */
	public boolean initDav() {
		System.out.println("Die Datenverteilerverbindung wird initialisiert");
		final String[] commandArguments = {
				// "-authentifizierung=/home/gysi/workspace/DAV-Neu/Projekte/VRZ3BaWue/skripte-bash/passwd",
				// "-datenverteiler=192.168.1.136:8083",
				// "-datenverteiler=10.44.44.10:8083",
				"-datenverteiler=127.0.0.1:8083",
				"-benutzer=Tester",
				"-authentifizierung=/daten/workspace_TIC3/Kernsoftware-Basissystem/properties/passwd",
				"-debugSetLoggerAndLevel=:INFO", "-debugLevelStdErrText=INFO" };
		final ArgumentList argumentList = new ArgumentList(commandArguments);
		try {
			final String myname = "TEST-LMS";
			Debug.init(myname, argumentList);
			final ClientDavParameters parameters = new ClientDavParameters(commandArguments);
			parameters.setApplicationName(myname);
			dav = new ClientDavConnection(parameters);
			dav.connect();
			dav.login();
		} catch (final Exception e) {
			e.printStackTrace();
			return false;
		}

		return true;
	}
}
